import React from 'react';
import { getNextMonth, getPreviousMonth } from './utils';
export default function useMonthpicker(_ref) {
  var _ref$onChange = _ref.onChange,
      onChange = _ref$onChange === void 0 ? function () {} : _ref$onChange,
      _ref$value = _ref.value,
      value = _ref$value === void 0 ? null : _ref$value;
  var moveToNextMonth = React.useCallback(function () {
    var newValue = getNextMonth(value);
    onChange(newValue);
  }, [onChange, value]);
  var moveToPreviousMonth = React.useCallback(function () {
    var newValue = getPreviousMonth(value);
    onChange(newValue);
  }, [onChange, value]);
  return {
    moveToNextMonth: moveToNextMonth,
    moveToPreviousMonth: moveToPreviousMonth
  };
}
//# sourceMappingURL=useMonthpicker.js.map