import {
    act,
    renderHook,
} from '@testing-library/react-hooks';

import useMonthpicker from './useMonthpicker';


describe('useMonthpicker', () => {
    it('should move to next month', () => {
        const onChange = jest.fn();

        const { result } = renderHook(() => useMonthpicker({
            onChange,
            value: +new Date(2000, 0, 1),
        }));

        act(() => { result.current.moveToNextMonth(); });

        expect(onChange).toHaveBeenCalledWith(+new Date(2000, 1, 1));
    });

    it('should move to previous month', () => {
        const onChange = jest.fn();

        const { result } = renderHook(() => useMonthpicker({
            onChange,
            value: +new Date(2000, 0, 1),
        }));

        act(() => { result.current.moveToPreviousMonth(); });

        expect(onChange).toHaveBeenCalledWith(+new Date(1999, 11, 1));
    });
});
