import moment from 'moment';

function toTimestamp($value) {
  return +$value.clone().startOf('day');
}

function getStartOfMonth() {
  var value = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : null;
  var val = value === null ? Date.now() : value;
  return toTimestamp(moment(val).startOf('month'));
}

export function getNextMonth() {
  var value = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : null;
  var val = getStartOfMonth(value);
  return toTimestamp(moment(val).add(1, 'months'));
}
export function getPreviousMonth() {
  var value = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : null;
  var val = getStartOfMonth(value);
  return toTimestamp(moment(val).subtract(1, 'months'));
}
//# sourceMappingURL=utils.js.map